Skip to content
Ask AI

System-Information-Netconf

YANG Pathget/get-configedit-configrpc
/show-clock——Y
/show-cpu-usage——Y
/show-disk-usage——Y
/show-memory-usage——Y
/show-reboot-cause——Y
/show-uptime——Y
/show-version——Y
/system-infoY——
/system-info/extern-cpu-info/{name}Y——
/system-info/fan-info/{id}Y——
/system-info/hardware-infoY——
/system-info/psu-infoY——
/system-info/ssd-healthY——
/system-info/sys-eepromY——
/system-info/sys-eeprom/entry/{code}Y——
/system-info/temperature/{device-id}Y——
/system-show——Y

This chapter provides examples on how to use Netconf to retrieve System information on AsterNOS devices.

Request example to retrieve all System information via get with subtree filter.

<filter type="subtree">
<top>
<system-info/>
</top>
</filter>

Response example

<data>
<top>
<system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information">
<sys-eeprom>
<entry>
<code>0x31</code>
<name>Main Board Version</name>
<length>25</length>
<eeprom-value>SW-AC5Y-A1-V1.0-24070B056</eeprom-value>
</entry>
<entry>
<code>0x2d</code>
<name>Vendor Name</name>
<length>11</length>
<eeprom-value>Asterfusion</eeprom-value>
</entry>
<entry>
<code>0xfe</code>
<name>CRC-32</name>
<length>4</length>
<eeprom-value>0x0785DF95</eeprom-value>
</entry>
<entry>
<code>0x24</code>
<name>Base MAC Address</name>
<length>6</length>
<eeprom-value>60:EB:5A:01:6B:7F</eeprom-value>
</entry>
<entry>
<code>0x26</code>
<name>Device Version</name>
<length>1</length>
<eeprom-value>1</eeprom-value>
</entry>
<entry>
<code>0x34</code>
<name>Board4 Version</name>
<length>4</length>
<eeprom-value>none</eeprom-value>
</entry>
<entry>
<code>0x30</code>
<name>Switch Vendor</name>
<length>7</length>
<eeprom-value>Marvell</eeprom-value>
</entry>
<entry>
<code>0x27</code>
<name>Label Revision</name>
<length>1</length>
<eeprom-value>0</eeprom-value>
</entry>
<entry>
<code>0x23</code>
<name>Serial Number</name>
<length>11</length>
<eeprom-value>F034347B056</eeprom-value>
</entry>
<entry>
<code>0x29</code>
<name>ONIE Version</name>
<length>4</length>
<eeprom-value>none</eeprom-value>
</entry>
<entry>
<code>0x2f</code>
<name>Service Tag</name>
<length>1</length>
<eeprom-value>X</eeprom-value>
</entry>
<entry>
<code>0x28</code>
<name>Platform Name</name>
<length>35</length>
<eeprom-value>arm64-asterfusion_cx102s_16gt_a1-r0</eeprom-value>
</entry>
<entry>
<code>0x2a</code>
<name>MAC Addresses</name>
<length>2</length>
<eeprom-value>2</eeprom-value>
</entry>
<entry>
<code>0x2e</code>
<name>Diag Version</name>
<length>4</length>
<eeprom-value>none</eeprom-value>
</entry>
<entry>
<code>0x21</code>
<name>Product Name</name>
<length>20</length>
<eeprom-value>CX102S-16GT-D2-HPW-M</eeprom-value>
</entry>
<entry>
<code>0x2b</code>
<name>Manufacturer</name>
<length>11</length>
<eeprom-value>Asterfusion</eeprom-value>
</entry>
<entry>
<code>0x33</code>
<name>Board3 Version</name>
<length>16</length>
<eeprom-value>SOM-CN91-A1-V1.0</eeprom-value>
</entry>
<entry>
<code>0x25</code>
<name>Manufacture Date</name>
<length>19</length>
<eeprom-value>26/12/2024 16:24:32</eeprom-value>
</entry>
<entry>
<code>0x32</code>
<name>Board2 Version</name>
<length>22</length>
<eeprom-value>GNL-PSE-8P-90W-A1-V1.0</eeprom-value>
</entry>
<entry>
<code>0x22</code>
<name>Part Number</name>
<length>40</length>
<eeprom-value>GESP1UHW-M4-2S16GT-HPW1-2*SOM91A-F1AC260</eeprom-value>
</entry>
<entry>
<code>0x2c</code>
<name>Manufacture Country</name>
<length>2</length>
<eeprom-value>CN</eeprom-value>
</entry>
</sys-eeprom>
<psu-info>
<id>PSU1</id>
<status>OK</status>
</psu-info>
<ssd-health>
<disk-type>EMMC</disk-type>
<device-model>N/A</device-model>
<health>N/A</health>
<temperature>N/A</temperature>
</ssd-health>
<hardware-info>
<platform>{'platform': 'arm64-asterfusion_cx102s_16gt_a1-r0', 'hwsku': 'CX102S-16GT-D2-HPW-M', 'asic_type': 'marvell-prestera', 'asic_count': 1}</platform>
<device>CX102S-16GT-D2-HPW-M</device>
<asic>marvell-prestera</asic>
</hardware-info>
<fan-info>
<id>FAN1</id>
<status>false</status>
<direction>exhaust</direction>
<speed>10080</speed>
<presence>false</presence>
<timestamp>20260313 07:09:18</timestamp>
</fan-info>
<fan-info>
<id>FAN2</id>
<status>false</status>
<direction>exhaust</direction>
<speed>10080</speed>
<presence>false</presence>
<timestamp>20260313 07:09:18</timestamp>
</fan-info>
<temperature>
<device-id>LM75B / AC5Y</device-id>
<temperature>36.0</temperature>
<high-threshold>75.0</high-threshold>
<critical-high-threshold>95.0</critical-high-threshold>
<low-threshold>N/A</low-threshold>
<critical-low-threshold>N/A</critical-low-threshold>
<warning-status>false</warning-status>
<is-replaceable>false</is-replaceable>
<timestamp>20260313 07:08:36</timestamp>
</temperature>
<extern-cpu-info>
<name>CPU0</name>
<status>present</status>
<temperature>45.5</temperature>
</extern-cpu-info>
<extern-cpu-info>
<name>CPU0</name>
<status>present</status>
<temperature>43.0</temperature>
</extern-cpu-info>
</system-info>
</top>
</data>

Request example to retrieve Fan information via get with subtree filter.

<filter type="subtree">
<top>
<system-info>
<fan-info/>
</system-info>
</top>
</filter>

Response example

<data>
<top>
<system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information">
<fan-info>
<id>FAN2</id>
<status>false</status>
<direction>exhaust</direction>
<speed>11760</speed>
<presence>false</presence>
<timestamp>20250928 09:37:46</timestamp>
</fan-info>
<fan-info>
<id>FAN1</id>
<status>false</status>
<direction>exhaust</direction>
<speed>11880</speed>
<presence>false</presence>
<timestamp>20250928 09:37:46</timestamp>
</fan-info>
</system-info>
</top>
</data>

Request example to retrieve temperature information via get with subtree filter.

<filter type="subtree">
<top>
<system-info>
<temperature/>
</system-info>
</top>
</filter>

Response example

<data>
<top>
<system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information">
<temperature>
<device-id>THERMAL_3</device-id>
<temperature>27.0</temperature>
<high-threshold>75.0</high-threshold>
<critical-high-threshold>95.0</critical-high-threshold>
<low-threshold>N/A</low-threshold>
<critical-low-threshold>N/A</critical-low-threshold>
<warning-status>false</warning-status>
<is-replaceable>false</is-replaceable>
<timestamp>20250928 17:43:01</timestamp>
</temperature>
<temperature>
<device-id>THERMAL_2</device-id>
<temperature>29.0</temperature>
<high-threshold>75.0</high-threshold>
<critical-high-threshold>95.0</critical-high-threshold>
<low-threshold>N/A</low-threshold>
<critical-low-threshold>N/A</critical-low-threshold>
<warning-status>false</warning-status>
<is-replaceable>false</is-replaceable>
<timestamp>20250928 17:43:01</timestamp>
</temperature>
<temperature>
<device-id>CORE_0</device-id>
<temperature>40.0</temperature>
<high-threshold>82.00</high-threshold>
<critical-high-threshold>104.00</critical-high-threshold>
<low-threshold>N/A</low-threshold>
<critical-low-threshold>N/A</critical-low-threshold>
<warning-status>false</warning-status>
<is-replaceable>false</is-replaceable>
<timestamp>20250928 17:43:01</timestamp>
</temperature>
<temperature>
<device-id>CORE_1</device-id>
<temperature>40.0</temperature>
<high-threshold>82.00</high-threshold>
<critical-high-threshold>104.00</critical-high-threshold>
<low-threshold>N/A</low-threshold>
<critical-low-threshold>N/A</critical-low-threshold>
<warning-status>false</warning-status>
<is-replaceable>false</is-replaceable>
<timestamp>20250928 17:43:01</timestamp>
</temperature>
<temperature>
<device-id>Physical_id_0</device-id>
<temperature>40.0</temperature>
<high-threshold>82.00</high-threshold>
<critical-high-threshold>104.00</critical-high-threshold>
<low-threshold>N/A</low-threshold>
<critical-low-threshold>N/A</critical-low-threshold>
<warning-status>false</warning-status>
<is-replaceable>false</is-replaceable>
<timestamp>20250928 17:43:01</timestamp>
</temperature>
<temperature>
<device-id>THERMAL_1</device-id>
<temperature>32.0</temperature>
<high-threshold>75.0</high-threshold>
<critical-high-threshold>95.0</critical-high-threshold>
<low-threshold>N/A</low-threshold>
<critical-low-threshold>N/A</critical-low-threshold>
<warning-status>false</warning-status>
<is-replaceable>false</is-replaceable>
<timestamp>20250928 17:43:01</timestamp>
</temperature>
<temperature>
<device-id>THERMAL_4</device-id>
<temperature>26.0</temperature>
<high-threshold>75.0</high-threshold>
<critical-high-threshold>95.0</critical-high-threshold>
<low-threshold>N/A</low-threshold>
<critical-low-threshold>N/A</critical-low-threshold>
<warning-status>false</warning-status>
<is-replaceable>false</is-replaceable>
<timestamp>20250928 17:43:01</timestamp>
</temperature>
</system-info>
</top>
</data>

Request example to retrieve EEPROM information via get with subtree filter.

<filter type="subtree">
<top>
<system-info>
<sys-eeprom>
<entry/>
</sys-eeprom>
</system-info>
</top>
</filter>

Response example

<data>
<top>
<system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information">
<sys-eeprom>
<entry>
<code>0x2a</code>
<name>MAC Addresses</name>
<length>2</length>
<eeprom-value>1</eeprom-value>
</entry>
<entry>
<code>0x21</code>
<name>Product Name</name>
<length>20</length>
<eeprom-value>CX102S-16GT-M-D2-SWP</eeprom-value>
</entry>
<entry>
<code>0xfe</code>
<name>CRC-32</name>
<length>4</length>
<eeprom-value>0x83F6A392</eeprom-value>
</entry>
<entry>
<code>0x2d</code>
<name>Vendor Name</name>
<length>11</length>
<eeprom-value>Asterfusion</eeprom-value>
</entry>
<entry>
<code>0x24</code>
<name>Base MAC Address</name>
<length>6</length>
<eeprom-value>00:0E:C6:56:9D:35</eeprom-value>
</entry>
<entry>
<code>0x2b</code>
<name>Manufacturer</name>
<length>11</length>
<eeprom-value>Asterfusion</eeprom-value>
</entry>
<entry>
<code>0x23</code>
<name>Serial Number</name>
<length>11</length>
<eeprom-value>F02FFFFFFFF</eeprom-value>
</entry>
<entry>
<code>0x28</code>
<name>Platform Name</name>
<length>35</length>
<eeprom-value>arm64-asterfusion_cx102s_16gt_a1-r0</eeprom-value>
</entry>
</sys-eeprom>
</system-info>
</top>
</data>

Request example to retrieve power-supply information via get with subtree filter.

<filter type="subtree">
<top>
<system-info>
<psu-info/>
</system-info>
</top>
</filter>

Response example

<data>
<top>
<system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information">
<psu-info>
<id>PSU1</id>
<status>OK</status>
</psu-info>
</system-info>
</top>
</data>

Request example to retrieve SSD health information via get with subtree filter.

<filter type="subtree">
<top>
<system-info>
<ssd-health/>
</system-info>
</top>
</filter>

Response example

<data>
<top>
<system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information">
<ssd-health>
<disk-type>SATA</disk-type>
<device-model>Saturn NCT 624XN 256GB</device-model>
<health>131076%</health>
<temperature>32C</temperature>
</ssd-health>
</system-info>
</top>
</data>

Request example to retrieve hardware information via get with subtree filter.

<filter type="subtree">
<top>
<system-info>
<hardware-info/>
</system-info>
</top>
</filter>

Response example

<data>
<top>
<system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information">
<hardware-info>
<platform>{'platform': 'arm64-asterfusion_cx102s_16gt_a1-r0', 'hwsku': 'CX102S-16GT-M-D2-SWP', 'asic_type': 'marvell-prestera', 'asic_count': 1}</platform>
<device>CX102S-16GT-M-D2-SWP</device>
<asic>marvell-prestera</asic>
</hardware-info>
</system-info>
</top>
</data>

Request example to retrieve extern CPU information via get with subtree filter.

<filter type="subtree">
<top>
<system-info>
<extern-cpu-info/>
</system-info>
</top>
</filter>

Response example

<data>
<top>
<system-info xmlns="http://asterfusion.com/ns/yang/asternos-system-information">
<extern-cpu-info>
<name>CPU0</name>
<status>present</status>
<temperature>45.5</temperature>
</extern-cpu-info>
<extern-cpu-info>
<name>CPU0</name>
<status>present</status>
<temperature>43.0</temperature>
</extern-cpu-info>
</system-info>
</top>
</data>

Request example to retrieve system version information via rpc show-version.

<show-version/>

Response example

<data>
<software-version>AsterNOS-Campus-V6.1R004-20250928.121903</software-version>
<os-version>12</os-version>
<distribution>Debian 12.12</distribution>
<kernel>6.1.0-22-2-arm64</kernel>
<build-commit>46b6112c4b</build-commit>
<build-date>Sun Sep 28 06:24:18 UTC 2025</build-date>
<built-by>jenkins@aarch64-ubt2204</built-by>
</data>

Request example to retrieve system clock information via rpc show-clock.

<show-clock/>

Response example

<data xmlns="http://asterfusion.com/ns/yang/asternos-system-information">2025-09-28 09:49:48 Sunday UTC+0000</data>

Request example to retrieve system uptime information via rpc show-uptime.

<show-uptime/>

Response example

<data xmlns="http://asterfusion.com/ns/yang/asternos-system-information">up 2 hours, 49 minutes</data>

Request example to retrieve system memory information via rpc show-memory.

<show-memory/>

Response example

<data>
<Mem>
<total>3986</total>
<used>2047</used>
<free>782</free>
<shared>13</shared>
<buff-cache>1257</buff-cache>
<available>1938</available>
</Mem>
<Swap>
<total>0</total>
<used>0</used>
<free>0</free>
</Swap>
</data>

Request example to retrieve system reboot cause information via rpc show-reboot-cause.

<show-reboot-cause/>

Response example

<data xmlns="http://asterfusion.com/ns/yang/asternos-system-information">Kernel Panic [Time: Thu Jun 26 02:58:47 PM UTC 2025]</data>

Tree Diagram

module: asternos-system-information
+--ro system-info
+--ro fan-info* [id]
| +--ro id string
| +--ro status? boolean
| +--ro direction? string
| +--ro speed? string
| +--ro presence? boolean
| +--ro timestamp? string
+--ro temperature* [device-id]
| +--ro device-id string
| +--ro temperature? decimal64
| +--ro high-threshold? string
| +--ro critical-high-threshold? string
| +--ro low-threshold? string
| +--ro critical-low-threshold? string
| +--ro warning-status? boolean
| +--ro is-replaceable? boolean
| +--ro timestamp? string
+--ro sys-eeprom
| +--ro entry* [code]
| +--ro code string
| +--ro name? string
| +--ro length? uint8
| +--ro eeprom-value? string
+--ro psu-info
| +--ro id? string
| +--ro status? string
+--ro ssd-health
| +--ro disk-type? string
| +--ro device-model? string
| +--ro health? string
| +--ro temperature? string
+--ro hardware-info
| +--ro platform? string
| +--ro device? string
| +--ro asic? string
+--ro extern-cpu-info* [name]
+--ro name string
+--ro status? string
+--ro temperature? decimal64

Table of Properties

NameRequiredType/RangeDescription
system-infoROPath-only node, has no configurable value.
System information.
fan-infoROPath-only node, has no configurable value.
idROstringFan ID.
statusRO”true"
"false”
Fan status.
directionROstringThe rotation direction of the fan.
speedROstringFan speed.
presenceRO”true"
"false”
The presence status of the fan.
timestampROstringLast update timestamp.
temperatureROPath-only node, has no configurable value.
device-idROstringDevice ID.
temperatureROThe temperature of this device.
high-thresholdROstringHigh threshold of this device.
critical-high-thresholdROstringCritical high threshold of this device.
low-thresholdROstringLow threshold of this device.
critical-low-thresholdROstringCritical low threshold of this device.
warning-statusRO”true"
"false”
Warning status of this device.
is-replaceableRO”true"
"false”
If it is replaceable.
timestampROstringLast update timestamp.
sys-eepromROPath-only node, has no configurable value.
entryROPath-only node, has no configurable value.
codeROstringSystem EEPROM code.
nameROstringSystem EEPROM TLV name.
lengthROintegerSystem EEPROM data length.
eeprom-valueROstringSystem EEPROM data value.
psu-infoROPath-only node, has no configurable value.
idROstringPSU ID.
statusROstringPower Supply Unit Status.
ssd-healthROPath-only node, has no configurable value.
disk-typeROstringSSD disk type.
device-modelROstringSSD device model.
healthROstringSSD health.
temperatureROstringSSD temperature.
hardware-infoROPath-only node, has no configurable value.
platformROstringHardware platform information.
deviceROstringDevice Type.
asicROstringASIC type.
extern-cpu-infoROPath-only node, has no configurable value.
nameROstringextern cpu name.
statusROstringthe status of extern cpu.
temperatureROThe temperature of this extern cpu.

Tree Diagram

module: asternos-system-information
+--ro system-info
+--ro extern-cpu-info* [name]
+--ro name string
+--ro status? string
+--ro temperature? decimal64

Table of Properties

NameRequiredType/RangeDescription
extern-cpu-infoROPath-only node, has no configurable value.
nameROstringextern cpu name.
statusROstringthe status of extern cpu.
temperatureROThe temperature of this extern cpu.

Tree Diagram

module: asternos-system-information
+--ro system-info
+--ro fan-info* [id]
+--ro id string
+--ro status? boolean
+--ro direction? string
+--ro speed? string
+--ro presence? boolean
+--ro timestamp? string

Table of Properties

NameRequiredType/RangeDescription
fan-infoROPath-only node, has no configurable value.
idROstringFan ID.
statusRO”true"
"false”
Fan status.
directionROstringThe rotation direction of the fan.
speedROstringFan speed.
presenceRO”true"
"false”
The presence status of the fan.
timestampROstringLast update timestamp.

Tree Diagram

module: asternos-system-information
+--ro system-info
+--ro hardware-info
+--ro platform? string
+--ro device? string
+--ro asic? string

Table of Properties

NameRequiredType/RangeDescription
hardware-infoROPath-only node, has no configurable value.
platformROstringHardware platform information.
deviceROstringDevice Type.
asicROstringASIC type.

Tree Diagram

module: asternos-system-information
+--ro system-info
+--ro psu-info
+--ro id? string
+--ro status? string

Table of Properties

NameRequiredType/RangeDescription
psu-infoROPath-only node, has no configurable value.
idROstringPSU ID.
statusROstringPower Supply Unit Status.

Tree Diagram

module: asternos-system-information
+--ro system-info
+--ro ssd-health
+--ro disk-type? string
+--ro device-model? string
+--ro health? string
+--ro temperature? string

Table of Properties

NameRequiredType/RangeDescription
ssd-healthROPath-only node, has no configurable value.
disk-typeROstringSSD disk type.
device-modelROstringSSD device model.
healthROstringSSD health.
temperatureROstringSSD temperature.

Tree Diagram

module: asternos-system-information
+--ro system-info
+--ro sys-eeprom
+--ro entry* [code]
+--ro code string
+--ro name? string
+--ro length? uint8
+--ro eeprom-value? string

Table of Properties

NameRequiredType/RangeDescription
sys-eepromROPath-only node, has no configurable value.
entryROPath-only node, has no configurable value.
codeROstringSystem EEPROM code.
nameROstringSystem EEPROM TLV name.
lengthROintegerSystem EEPROM data length.
eeprom-valueROstringSystem EEPROM data value.

Tree Diagram

module: asternos-system-information
+--ro system-info
+--ro sys-eeprom
+--ro entry* [code]
+--ro code string
+--ro name? string
+--ro length? uint8
+--ro eeprom-value? string

Table of Properties

NameRequiredType/RangeDescription
entryROPath-only node, has no configurable value.
codeROstringSystem EEPROM code.
nameROstringSystem EEPROM TLV name.
lengthROintegerSystem EEPROM data length.
eeprom-valueROstringSystem EEPROM data value.

Tree Diagram

module: asternos-system-information
+--ro system-info
+--ro temperature* [device-id]
+--ro device-id string
+--ro temperature? decimal64
+--ro high-threshold? string
+--ro critical-high-threshold? string
+--ro low-threshold? string
+--ro critical-low-threshold? string
+--ro warning-status? boolean
+--ro is-replaceable? boolean
+--ro timestamp? string

Table of Properties

NameRequiredType/RangeDescription
temperatureROPath-only node, has no configurable value.
device-idROstringDevice ID.
temperatureROThe temperature of this device.
high-thresholdROstringHigh threshold of this device.
critical-high-thresholdROstringCritical high threshold of this device.
low-thresholdROstringLow threshold of this device.
critical-low-thresholdROstringCritical low threshold of this device.
warning-statusRO”true"
"false”
Warning status of this device.
is-replaceableRO”true"
"false”
If it is replaceable.
timestampROstringLast update timestamp.

Tree Diagram

module: asternos-system-information
rpcs:
+---x show-clock
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-clockO
dataOTime of device.

Tree Diagram

module: asternos-system-information
rpcs:
+---x show-cpu-usage
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-cpu-usageO
dataOcpu use of AsterNOS system.

Tree Diagram

module: asternos-system-information
rpcs:
+---x show-disk-usage
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-disk-usageO
dataOdisk use of AsterNOS system.

Tree Diagram

module: asternos-system-information
rpcs:
+---x show-memory-usage
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-memory-usageO
dataOMemory use of AsterNOS system.

Tree Diagram

module: asternos-system-information
rpcs:
+---x show-reboot-cause
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-reboot-causeO
dataOReboot causes.

Tree Diagram

module: asternos-system-information
rpcs:
+---x show-uptime
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-uptimeO
dataOSystem uptime.

Tree Diagram

module: asternos-system-information
rpcs:
+---x show-version
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
show-versionO
dataOAsterNOS System version.

Tree Diagram

module: asternos-system-information
rpcs:
+---x system-show
+---w input
| +---w run-cmd? string
+--ro output
+--ro data? <anydata>

Table of Properties

NameRequiredType/RangeDescription
system-showO
run-cmdOstringRun system show cmd
dataOResult of the executed cmd.